cURL
curl --request PATCH \ --url https://statsigapi.net/console/v1/keys/{id}/rotate \ --header 'STATSIG-API-KEY: <api-key>'
{ "message": "Key rotated successfully,", "data": { "key": "secret-123", "type": "SERVER", "description": "Server secret key", "scopes": [], "environments": [ "production" ], "primaryTargetApp": "primaryApp", "secondaryTargetApps": [ "secondaryApp" ], "status": "active" } }
Optional header to respect review settings for mutation endpoints.
Key rotated successfully
A simple string explaining the result of the operation.
A single result.
Show child attributes
SERVER
CLIENT
CONSOLE
SCIM
ORG
omni_read_only
omni_read_write
client_download_config_specs
none_hash_enabled
can_access_keys
client_can_write_user_store
personal_read_only
personal_read_write
active
deactivated
Was this page helpful?